Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001562Frama-CPlug-in > obfuscatorpublic2013-11-21 13:382014-03-13 15:57
Reporterpatrick 
Assigned Tosignoles 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFrama-C Neon-20140301Fixed in VersionFrama-C Neon-20140301 
Summary0001562: Obfuscator for C Labels
DescriptionC Label names to to be obfuscated.
Additional Information> frama-c -obfuscate file.c
int main(int f1)
{
  int V1;
  V1 = 0;
  if (f1) goto end;
  V1 ++;
  end: ;
  return V1;
}
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004547)
signoles (manager)
2014-02-12 16:57

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2013-11-21 13:38 patrick New Issue
2013-11-21 13:38 patrick Status new => assigned
2013-11-21 13:38 patrick Assigned To => signoles
2013-11-21 13:59 signoles Status assigned => confirmed
2013-11-21 13:59 signoles Target Version => Frama-C Neon-20140301
2013-12-02 16:15 svn Checkin
2013-12-02 16:15 svn Status confirmed => resolved
2013-12-02 16:15 svn Resolution open => fixed
2014-02-12 16:57 signoles Note Added: 0004547
2014-03-13 15:56 signoles Fixed in Version => Frama-C Neon-20140301
2014-03-13 15:57 signoles Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker